Migrate relationship class from OID to GLOBALID failing

4703
2
02-18-2015 09:50 AM
TamiOnstad
New Contributor III

I'm having more trouble with this than I would have expected, given that the tool seems to be extremely simple (or would seem so, based on the limited documentation available.)

I'm in 10.2.1.  I have about 200 relationship classes which need to be migrated from using OID to GlobalID.  GlobalIDs have already been added to all the feature classes, and the attributed relationship classes and feature-linked annotation relationship classes have been filtered out. However, the tool will not run in any format and the errors are nearly worthless.

Using MigrateRelationshipClass three different ways:

Straight Python:  ERROR 000732: Input Relationship Class: Dataset \\lmsgisdata.til.csu.org\GISData\1021UpgradeTesting\GIStest@ARCFM.sde\ARCFM.Elec_125\ARCFM.SWCAB_Fuse125 does not exist or is not supported.

Same rel class in ArcMap immediate Python window

ERROR 000526: Error updating the values Failed to execute (MigrateRelationshipClass). 

From ArcCatalog Toolbox: 

file:///C:/Users/tonstad/AppData/Roaming/ESRI/Desktop10.2/ArcToolbox/Dlg/MdDlgContent.htm#ERROR 000271 Cannot open the input datasets

Now, I have verified that the rel class exists, it references two existing feature classes, it is not attributed or anno, it is part of a versioned dataset, and has GlobalIDs populated.

I cannot see another way to do this without recreating every relationship class, and I'm not even sure where to start with that as there is no documentation on how to do this migration manually.

Anyone having this problem or have any ideas what might be going on? 

Thanks

Tami O.

2 Replies
JillianPenney
Esri Contributor

Hi Tami,

The Migrate Relationship Class geoprocessing tool doesn't support versioned data at the 10.2.1 release, so perhaps that's why it isn't working for you, if you are migrating data within versioned datasets. I'm not sure why a better error message isn't being returned for you. The tool should have told you that versioned data is not supported when you drag and drop the versioned relationship class into the input parameter.

The tool has been upgraded at the 10.3 release to support migrating objectid-based relationship classes with versioned data. This functionality should also be included in the next 10.2.1 Utilities and Telecom Update Patch, coming in the near future.

Thanks,

Jill

0 Kudos
TamiOnstad
New Contributor III

I've tried it both versioned and unversioned, and I am getting the same messages in both places. I originally tried it unversioned, but I got a message that said "Data cannot be versioned" when I would drag the relationship class into the tool input parameter, but the data WASN'T versioned so I was confused.

Thanks for your suggestions!

Tami O.

0 Kudos